package speech-dispatcher 0.8-5ubuntu1 failed to install/upgrade: subprocess installed post-removal script returned error exit status 1

Bug #1760071 reported by Nic Knox
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
speech-dispatcher (Ubuntu)
Undecided
Unassigned

Bug Description

Following the instructions at http://ubuntuforums.org/showthread.php?t=2143157&p=12650610#post12650610 , I tried to disable speech-dispatcher as follows:
sudo vi /etc/default/speech-dispatcher
terminal refused to accept change from RUN=yes to RUN=no.
TRIED TO CHANGE 'YES' TO 'NO' -would not accept the command so tried to close terminal. Reports:
“There is still a process running in this terminal. Closing the terminal will kill it.”
opted to close
 On rebooting get a message:
E325: ATTENTION
Found a swap file by the name "/etc/default/.speech-dispatcher.swp"
          owned by: root dated: Fri Mar 30 10:16:12 2018
         file name: /etc/default/speech-dispatcher
          modified: YES
         user name: root host name: nicnoks-desktop
        process ID: 4222
While opening file "/etc/default/speech-dispatcher"
             dated: Fri Mar 23 11:21:51 2018
(1) Another program may be editing the same file. If this is the case,
    be careful not to end up with two different instances of the same
    file when making changes. Quit, or continue with caution.
(2) An edit session for this file crashed.
    If this is the case, use ":recover" or "vim -r /etc/default/speech-dispatcher"
    to recover the changes (see ":help recovery").
    If you did this already, delete the swap file "/etc/default/.speech-dispatcher.swp"
    to avoid this message.
"/etc/default/speech-dispatcher"" 4 lines, 133 characters
Press ENTER or type command to continue"
tried to close terminal:
“There is still a process running in this terminal. Closing the terminal will kill it.”
went to "/etc/default/.speech-dispatcher.swp" [12.3kb binary] but it refuses to be deleted, cut or renamed
I don't want Speech-Despatcher anyway – so remove through Synaptic
changelog kept - summary =
gnome-orca will be removed
libgnome-speech7 will be removed
libspeechd2 will be removed
python3-speechd will be removed
speech-dispatcher will be removed
speech-dispatcher-audio-plugins will be removed

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: speech-dispatcher 0.8-5ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-143.192-generic 3.13.11-ckt39
Uname: Linux 3.13.0-143-generic i686
ApportVersion: 2.14.1-0ubuntu3.27
Architecture: i386
Date: Fri Mar 30 11:43:31 2018
DuplicateSignature: package:speech-dispatcher:0.8-5ubuntu1:subprocess installed post-removal script returned error exit status 1
ErrorMessage: subprocess installed post-removal script returned error exit status 1
RelatedPackageVersions:
 dpkg 1.17.5ubuntu5.8
 apt 1.0.1ubuntu2.17
SourcePackage: speech-dispatcher
Title: package speech-dispatcher 0.8-5ubuntu1 failed to install/upgrade: subprocess installed post-removal script returned error exit status 1
UpgradeStatus: Upgraded to trusty on 2014-08-13 (1324 days ago)
modified.conffile..etc.default.speech.dispatcher:
 # Defaults for the speech-dispatcher initscript, from speech-dispatcher

 # Set to yes to start system wide Speech Dispatcher
 RUN=yes
mtime.conffile..etc.default.speech.dispatcher: 2018-03-23T11:21:51.735065

Revision history for this message
Nic Knox (baknox) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers